<!DOCTYPE html>
<html xmlns:th="http://thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8">
    <title>Admin</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="/css/global.css">
    <link rel="stylesheet" href="/css/admin.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="/js/global.js"></script>
    <script src="/js/admin.js"></script>
</head>
<body>
<a href="/"><h1>Home</h1></a>
<h2>Admin panel</h2>
<input type="button" class="btn btn-primary" id="addBtn" value="New admin">
<form id="addForm">
    <div class="form-group">
        <label for="name">Name</label>
        <input type="text" class="form-control" id="name" placeholder="John Doe">
    </div>
    <div class="form-group">
        <label for="vatin">VAT number</label>
        <input type="text" class="form-control" id="vatin">
    </div>
    <div class="form-group">
        <label for="mail">Email</label>
        <input type="email" class="form-control" id="mail" placeholder="name@example.com">
    </div>
    <div class="form-group">
        <input type="button" class="btn btn-secondary" value="Submit" onclick="subFnc('admin')">
    </div>
</form>

<form>
<table class="table table-striped">
    <tr>
        <th>ID</th>
        <th>Name</th>
        <th>VAT number</th>
        <th>Email</th>
        <th></th>
        <th></th>
        <th></th>
    </tr>
    <tr>
        <th></th>
        <th><input type="text" name="name" class="form-control" id="searchName"></th>
        <th><input type="text" name="vatnumber" class="form-control" id="searchVatNumber"></th>
        <th><input type="text" name="mail" class="form-control" id="searchMail"></th>
        <th></th>
        <th></th>
        <th><input type="submit" class="btn btn-primary" value="Search"></th>
    </tr>
    <tr th:each="admin : ${admins}">
        <td th:id="@{'idCell'+${admin.getId()}}" th:text="${admin.getId()}"></td>
        <td th:text="${admin.getName()}"></td>
        <td th:text="${admin.getVatNumber()}"></td>
        <td th:text="${admin.getEmail()}"></td>
        <td><a style='color:#0060B6; cursor:pointer' th:href="@{'/service/admin/'+${admin.getId()}}">Services</a></td>
        <td><a style='color:#0060B6; cursor:pointer' th:onclick="@{'delFnc(\'admin\','+${admin.getId()}+')'}">Delete</a>
        </td>
        <td><a style='color:#0060B6; cursor:pointer'
               th:onclick="@{'toggleEdit(\'admin\','+${admin.getId()}+')'}">Edit</a></td>
    </tr>
</table>
</form>

</body>
</html>
